 
<p align="center">
<img src="http://mars3d.cn/logo.png" width="200px" />
</p>

<p align="center">🌎 一款基于WebGL技术实现的三维地球客户端开发平台</p>

<p align="center">
  <a target="_black" href="https://www.npmjs.com/package/mars3d">
    <img alt="Npm version" src="https://img.shields.io/npm/v/mars3d.svg?style=flat&logo=npm&label=版本号" />
  </a>
  <a target="_black" href="https://www.npmjs.com/package/mars3d">
    <img alt="Npm downloads" src="https://img.shields.io/npm/dt/mars3d?style=flat&logo=npm&label=下载量" />
  </a>
  <a target="_black" href="https://github.com/marsgis/mars3d">
    <img alt="GitHub stars" src="https://img.shields.io/github/stars/marsgis/mars3d?style=flat&logo=github" />
  </a>
  <a target="_black" href="https://gitee.com/marsgis/mars3d">
    <img src="https://gitee.com/marsgis/mars3d/badge/star.svg?theme=dark" alt="star" />
  </a>
</p>



当前仓库包含SDK更新日志、和其他仓库导航。
 
Github：[https://github.com/marsgis/mars3d](https://github.com/marsgis/mars3d)

国内Gitee：[https://gitee.com/marsgis/mars3d](https://gitee.com/marsgis/mars3d)  
 
更新日志: [CHANGE.md](./CHANGE.md)

 

## 平台介绍
 
 `Mars3D平台` 是[火星科技](http://marsgis.cn/)研发的一款基于 WebGL 技术实现的三维客户端开发平台，基于[Cesium](https://cesium.com/cesiumjs/)优化提升与B/S架构设计，支持多行业扩展的轻量级高效能GIS开发平台，能够免安装、无插件地在浏览器中高效运行，并可快速接入与使用多种GIS数据和三维模型，呈现三维空间的可视化，完成平台在不同行业的灵活应用。
 


## 学习资料

- Mars3D官网：[http://mars3d.cn](http://mars3d.cn) 
- 开发教程：[http://mars3d.cn/docs/](http://mars3d.cn/docs/)   
- API文档：[http://mars3d.cn/api/](http://mars3d.cn/api/)   


### 反馈问题
 为了方便交流及留存，所有bug及建议均统一提交至：[github issues](https://github.com/marsgis/mars3d/issues)  或 
 [国内gitee issues](https://gitee.com/marsgis/mars3d/issues)





## 功能示例
 对平台每个功能编写的案例代码，可以阅读每个示例代码来学习各功能，与官网功能示例一致效果。

| 说明 | 教程  | 视频  |Github源码 | 国内Gitee源码  |    
| ----|----  | ----  | ----| ----  |
|Vue版 |[查看](http://mars3d.cn/docs/guide/example-vue/) |[查看](https://www.bilibili.com/video/BV1PL41177SS/)、[高级篇](https://www.bilibili.com/video/BV1Xv4y1a74P/)| [mars3d-vue-example](https://github.com/marsgis/mars3d-vue-example) |[mars3d-vue-example](https://gitee.com/marsgis/mars3d-vue-example)  |  
|原生JS版 | [查看](http://mars3d.cn/docs/guide/example-es5/) | [查看](https://www.bilibili.com/video/BV1Hg411o7Js/) | [mars3d-es5-example](https://github.com/marsgis/mars3d-es5-example) |[mars3d-es5-example](https://gitee.com/marsgis/mars3d-es5-example)  | 
|React版 |[查看](http://mars3d.cn/docs/guide/example-react/)|[查看](https://www.bilibili.com/video/BV1xY4y1t7NR/)、[高级篇](https://www.bilibili.com/video/BV1tX4y1Q7v7/) | [mars3d-react-example](https://github.com/marsgis/mars3d-react-example) |[mars3d-react-example](https://gitee.com/marsgis/mars3d-react-example)  |  


##  最简项目模板
 提供了面向不同技术栈的最简项目模板，您可以直接使用或参考这些项目模板，了解SDK类库在不同技术栈项目中如何引入使用，快速搭建开发自己的项目。 

| 说明 | 视频  | Github源码 | 国内Gitee源码  |    
| ----| ----|----| ----  |
|Vue技术栈 |[查看](https://www.bilibili.com/video/BV17P4y1F7gv/)| [mars3d-vue-template](https://github.com/marsgis/mars3d-vue-template) |[mars3d-vue-template](https://gitee.com/marsgis/mars3d-vue-template)  | 
|原生JS技术栈 |[查看](https://www.bilibili.com/video/BV1za41177ZW/)| [mars3d-es5-template](https://github.com/marsgis/mars3d-es5-template) |[mars3d-es5-template](https://gitee.com/marsgis/mars3d-es5-template)  | 
|React技术栈 |[查看](https://www.bilibili.com/video/BV1nZ4y1b7W7/)| [mars3d-react-template](https://github.com/marsgis/mars3d-react-template) |[mars3d-react-template](https://gitee.com/marsgis/mars3d-react-template)  |   
|Angular技术栈 |[查看](https://www.bilibili.com/video/BV13Y411K7xs/) | [mars3d-angular-template](https://github.com/marsgis/mars3d-angular-template) |[mars3d-angular-template](https://gitee.com/marsgis/mars3d-angular-template)  |   
|CS桌面端程序 |[查看](https://www.bilibili.com/video/BV1N94y1R7ds/)| [mars3d-electron](https://github.com/marsgis/mars3d-electron) |[mars3d-electron](https://gitee.com/marsgis/mars3d-electron)  |   
|uni-app移动端程序 |[查看](https://www.bilibili.com/video/BV18F41157qR/)|[mars3d-uni-app](https://github.com/marsgis/mars3d-uni-app) |[mars3d-uni-app](https://gitee.com/marsgis/mars3d-uni-app)  |   



## 通用项目模版 
通用项目模版是具备一个GIS项目常见功能的项目模板，只用更换数据及叠加业务即可完成项目交付。
如果需要更多功能可以考虑购买[付费项目模板](http://mall.marsgis.cn/#/product-list?category=project)。

|说明 |教程  |视频  | Github源码 | 国内Gitee源码  |   
|----|----  |----  | ----| ----  |
|Vue通用项目模版 |[查看](http://mars3d.cn/docs/guide/project-vue/) |[查看](https://www.bilibili.com/video/BV1JF411q7Ut/)、[高级篇](https://www.bilibili.com/video/BV1rM411j78s/) | [mars3d-vue-project](https://github.com/marsgis/mars3d-vue-project) |[mars3d-vue-project](https://gitee.com/marsgis/mars3d-vue-project)  |  
| 原生JS通用项目模版 |[查看](http://mars3d.cn/docs/guide/project-es5/) | [查看](https://www.bilibili.com/video/BV1nF41157Rn/)| [mars3d-es5-project](https://github.com/marsgis/mars3d-es5-project) |[mars3d-es5-project](https://gitee.com/marsgis/mars3d-es5-project)  |
|React通用项目模版|[查看](http://mars3d.cn/docs/guide/project-react/) |[查看](https://www.bilibili.com/video/BV1n3411u7Dm/)、[高级篇](https://www.bilibili.com/video/BV1d84y1E7gR/) | [mars3d-react-project](https://github.com/marsgis/mars3d-react-project) |[mars3d-react-project](https://gitee.com/marsgis/mars3d-react-project)  |   
|APP项目模版(Vue3+H5)|  [查看](http://mars3d.cn/docs/guide/project-app/)  | [查看](https://www.bilibili.com/video/BV1iY4y1t7jk/)、[高级篇](https://www.bilibili.com/video/BV1CD4y137jK/) | [mars3d-vue-app](https://github.com/marsgis/mars3d-vue-app) |[mars3d-vue-app](https://gitee.com/marsgis/mars3d-vue-app)  |  





 

 

## 平台相关效果  
 功能示例：
 ![image](http://marsgis.cn/img/project/mars3d-doc/example1.jpg)
 
 通用项目-Vue版：[在线体验](http://mars3d.cn/project/vue/)
 
 ![image](https://cdn.marsgis.cn/mall/mars3d-vue-project/1.jpg)
 
 通用项目-原生JS版：[在线体验](http://mars3d.cn/project/es5/)

 ![image](https://cdn.marsgis.cn/mall/mars3d-es5-project/1.jpg)

 通用项目-React版：[在线体验](http://mars3d.cn/project/react/)

 ![image](https://cdn.marsgis.cn/mall/mars3d-react-project/1.jpg)

三维地球-APP版：[在线体验](http://mars3d.cn/project/app/)

 ![image](http://cdn.marsgis.cn/mall/mars3d-vue-app/1.jpg)


工厂园区项目：[在线体验](http://mars3d.cn/project/vue-gcyq/)

 ![image](http://cdn.marsgis.cn/mall/mars3d-vue-gcyq/1.jpg)

 美丽乡村项目：[在线体验](http://mars3d.cn/project/vue-mlxc/)

 ![image](https://cdn.marsgis.cn/mall/mars3d-vue-mlxc/1.jpg)
 
  
图层配置工具：[在线体验](http://studio.mars3d.cn/project-map/offline-layer.html)

 ![image](http://cdn.marsgis.cn/mall/mars3d-studio-layer/1.jpg)

  
图上标绘工具：[在线体验](http://studio.mars3d.cn/project-map/offline-plot.html)

 ![image](http://cdn.marsgis.cn/mall/mars3d-studio-plot/1.jpg)


地图场景配置工具：[在线体验](http://studio.mars3d.cn/project-map/offline-map.html)

 ![image](http://cdn.marsgis.cn/mall/mars3d-studio-map/1.jpg)



## 版权说明
1. Mars3D平台由[火星科技](http://marsgis.cn/)自主研发，拥有所有权利。
2. 任何个人或组织可以在遵守相关要求下可以免费无限制使用。

